⁍ MatchMove Banking Operating System

Sections

Theme switcher

Update user

Header Parameters

X-Auth-User-IDstring Required

MatchMove provided ID for the user.

Authorizationstring

Body Parameters

idstring
first_namestring

First name or given name

Max length
50
last_namestring

Last name or family name

Max length
50
middle_namestring

User Middle name

Max length
50
preferred_namestring

Prefereed name

Max length
25
emailstring

Registration email for the user to be created in the MatchMove system for a particular program.

mobile_country_codestring

Supported Country codes for the program can be retrieved from GET /users/enumerations/mobile_country_codes

passwordstring

Minimum 8 Characters , One special character , One number , One small character

mobilestring

Mobile number of the user

titlestring

Title to be set like mr/miss etc

Enum values:
MrMissDrMrsMadam
id_typestring

Id type to be set. Available values can be retrieved from GET /users/enumerations/id_types

id_numberstring

Id number to be unique

id_date_expirystring

Id type expiry date in standard date format

id_date_issuestring

Issued date of id type in standard date format

country_of_issuestring

Country that issued your id type. Supported values can be retrieved from GET /users/enumerations/countries

alt_id_typestring

alternative id type

alt_id_numberstring

Alternative id type number to be unique

alt_id_date_expirystring

Alternative id type expiry date in standard date format

alt_id_date_issuestring

Alternative id type issued date in standard date format

alt_id_country_of_issuestring

Alternative Id type issuance country

birthdaystring

Birthday of the user registered in matchmove system in standard date format

place_of_birthstring

Place where you have born

nationalitystring

User Nationality. Supported values can be retrieved from GET /users/enumerations/nationalities

genderstring

User Gender. Supported values can be retreived from GET /users/enumerations/genders

marital_statusstring

User marital Status. Supported values can be retreived from GET /users/enumerations/marital_status

mothers_maiden_namestring

Mother's maiden name

mothers_first_namestring

Mother's first name. Supported values must be letters and spaces

Max length
50
mothers_last_namestring

Mother's last name. Supported values must be letters and spaces

Max length
50
nature_of_businessstring

Nature of your business

customer_idstring

Customer id to be passed

Max length
50
purpose_of_accountstring

Purpose of your account

partner_idstring

Partner id to be passed

Max length
50
client_reference_idstring

Client Reference ID to be passed

Max length
50
agent_idstring

Agent ID to be passed

Max length
50
employer_namestring

Employer Name to be passed

Max length
50
employment_typestring

User Employment Type. Supported values can be retreived from GET /users/enumerations/employment_type

Max length
100
source_of_fundsstring

Source of Funds to be passed

Max length
100
occupationstring

User Occupation. Supported values can be retreived from GET /users/enumerations/occupation

Max length
100
volume_of_assetsstring

Volume of Assets. Supported values can be retreived from GET /users/enumerations/volume_of_assets

Max length
100

Response

200
Object
OK

Response Attributes

idstring Required
Pattern
^[a-zA-Z0-9]*
readOnly
emailstring Required

Registration email for the user to be created in the MatchMove system for a particular program.

nameobject Required

User Name Object

Show child attributes

mobileobject Required

Show child attributes

identificationobject

Show child attributes

countryofissuestring

Country of issue of registration documents for the users in the MatchMove system

Nullable:
True
country_of_issuestring

Country of issue of registration documents for the users in the MatchMove system

Nullable:
True
country_code_of_issuestring

Country of issue of registration documents for the users in the MatchMove system

Nullable:
True
alt_identificationobject

Show child attributes

alt_id_countryofissuestring

Country of issue of secondary registration documents for the users in the MatchMove system

Nullable:
True
alt_id_country_code_of_issuestring

Country of issue of secondary registration documents for the users in the MatchMove system

Nullable:
True
birthdaystring

Birthday of the user registered in the MatchMove system. The value is expected to match the value provided in documents for the KYC process.

Nullable:
True
place_of_birthstring
genderstring
Nullable:
True
nationalitystring
titlestring
marital_statusstring
mothers_maiden_namestring
mothers_first_namestring

Mother's first name

mothers_last_namestring

Mother's last name

customer_idstring
Nullable:
True
statusobject Required

Show child attributes

dateobject Required

Show child attributes

partner_idstring
Nullable:
True
risk_assessment_statusstring

Risk Evaluation of the User

Enum values:
PENDINGCLEAREDREJECTEDUNKNOWN
client_reference_idstring
Nullable:
True
agent_idstring
Nullable:
True
employer_namestring

Employer name for the users in the MatchMove system

Nullable:
True
employment_typestring

Employment type for the users in the MatchMove system. Supported values can be retreived from GET /users/enumerations/employment_type

Nullable:
True
source_of_fundsstring

Source of funds for user in MatchMove System

Nullable:
True
occupationstring

Occupation for user in MatchMove System. Supported values can be retreived from GET /users/enumerations/occupation

Nullable:
True
volume_of_assetsstring

Volume of Assets for the users in the MatchMove system. Supported values can be retreived from GET /users/enumerations/volume_of_assets

Nullable:
True
nature_of_businessstring

Nature of business

Nullable:
True
purpose_of_accountstring

Purpose of Account

Nullable:
True
account_typestring

Account type of the User

Enum values:
individualbusiness
linksarray

Show child attributes

400
Object
Bad Request | Code | Description | | :---------- | :---------- | | resource_risk_service_blacklisted_update_error | Request parameters flagged and not allowed to update. | | resource_user_unrecognized_title | Invalid parameter `title`, Accepts [allowed_titles] | | resource_user_unrecognized_gender | Invalid parameter `gender`, Accepts [allowed_genders] | | resource_user_unrecognized_id_type | Invalid id_type | | resource_user_id_type_and_number_invalid | `id_number` must not be empty if `id_type` is provided and vice-versa | | user_id_number_above_max_length | User `id_number` must not exceed 30 characters | | resource_user_unrecognized_alt_id_type | Invalid alt_id_type | | resource_user_alt_id_type_and_number_invalid | `alt_id_number` must not be empty if `alt_id_type` is provided and vice-versa | | user_alt_id_number_above_max_length | User `alt_id_number` must not exceed 20 characters | | resource_user_first_name_last_name_preferred_name_error | `first_name`, `last_name` and/or `preferred_name` can only be changed before wallet/card creation. | | resource_user_wallet_fund_mobile_insufficient_dependency | Both `mobile_country_code` and `mobile` must be specified | | future_birthday_not_allowed | Users `birthday` can not be a future date | | Updating user fields disabled after KYC approval - <user-fields...> | Either `id_date_expiry` or `id_date_issue` parameter is empty | | Either `alt_id_date_expiry` or `alt_id_date_issue` parameter is empty |

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
403
Object
Forbidden | Code | Description | Examples/Notes| | :---------- | :---------- | :-------------| | restricted_resource | Access with method `POST` denied | | risk_management_engine_error | An exception occurred during the processing of the risk and compliance of the user. | | user_blocked_risk_threshold_exceeded | User have exceeded the risk and compliance threshold and was automatically blocked. | | enity_blocked_risk_threshold_exceeded | Entity '{entity}.{attribute}' requested for evaluation is blacklisted | Entity 'customer.first_name' requested for evaluation is blacklisted. |

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
404
Object
Forbidden

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
500
Object
Internal Server Error

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
502
Object
Forbidden

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
503
Object
Forbidden

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
504
Object
Forbidden

Response Attributes

codeinteger Required
descriptionstring Required
linkstring Required
Was this section helpful?

PUT

/

Select
1

Response

Was this section helpful?